# Uses of Class
org.codehaus.plexus.util.reflection.ReflectorException

Packages that use ReflectorException
Package
Description
org.codehaus.plexus.util.reflection
Reflection utilities.

## Uses of ReflectorException in org.codehaus.plexus.util.reflection

Methods in org.codehaus.plexus.util.reflection that throw ReflectorException
Modifier and Type
Method
Description
`<T> Constructor<T>`
Reflector.`getConstructor(Class<T> targetClass, Class[] params)`
Return the constructor, checking the cache first and storing in cache if not already there..
`Object`
Reflector.`getField(Object target, String fieldName)`
`Object`
Reflector.`getField(Object target, String fieldName, boolean breakAccessibility)`
`Method`
Reflector.`getMethod(Class targetClass, String methodName, Class[] params)`
Return the method, checking the cache first and storing in cache if not already there..
`Object`
Reflector.`getObjectProperty(Object target, String propertyName)`
`<T> T`
Reflector.`getSingleton(Class<T> theClass, Object[] initParams)`
Retrieve the singleton instance of a class, given the array of parameters...
`Object`
Reflector.`getStaticField(Class targetClass, String fieldName)`
`Object`
Reflector.`invoke(Object target, String methodName, Object[] params)`
Invoke the specified method on the specified target with the specified params...
`Object`
Reflector.`invokeStatic(Class targetClass, String methodName, Object[] params)`
Invoke the specified static method with the specified params...
`<T> T`
Reflector.`newInstance(Class<T> theClass, Object[] params)`
Create a new instance of a class, given the array of parameters...